using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace Programmatic
{
    public class ToolBarTemplate : ITemplate
    {
        #region ITemplate Members

        public void InstantiateIn(Control container)
        {
            container.Controls.Add(new LiteralControl("Search:"));
            TextBox tbSearch = new TextBox();
            tbSearch.ID = "tbSearch";
            tbSearch.AutoPostBack = true;
            container.Controls.Add(tbSearch);
        }

        #endregion
    }
}

























